# The latest version of Pari which is officially supported is 2.3.5.  Change the
# following if you want to try a newer version.
%global pari_version 2.3.5
Name:           perl-Math-Pari
Version:        2.030523
Release:        1%{?dist}
Summary:        Perl interface to PARI
# Note that Math::Pari itself is licensed under the Perl license which includes
# the GPL as an accepted alternative license.  Since Pari is licensed only under
# the GPLv2.0 this package as a whole is usable and redistributable only under
# the terms of GPLv2.0.
License:        GPL2
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Math-Pari/
Source0:        http://www.cpan.org/authors/id/I/IL/ILYAZ/modules/Math-Pari-%{version}.tar.gz
Source1:	https://pari.math.u-bordeaux.fr/pub/pari/OLD/2.3/pari-%{pari_version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl-macros
BuildRequires:  perl-devel
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Provides:	perl(Math::Pari)

%description
This package is a Perl interface to famous library PARI for numerical/scientific/number-
theoretic calculations. It allows use of most PARI functions as Perl
functions, and (almost) seamless merging of PARI and Perl data. In what
follows we suppose prior knowledge of what PARI is (see ftp://megrez.math.u-
bordeaux.fr/pub/pari, or Math::libPARI).

%prep
%setup -q -n Math-Pari-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="${RPM_OPT_FLAGS/-g/-g1}" pari_tgz=%{SOURCE1}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes gdbinit-my META.json README TODO
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Math*
%{_mandir}/man3/*

%changelog
* Fri Aug 05 2022 Peter Ajamian <pj@ghettoforge.org> - 2.030523-1
- Added perl-macros build requirement
- Math::Peri to 2.03523

* Tue Apr 07 2020 Peter Ajamian <pj@ghettoforge.org> 2.030518-1
- Specfile autogenerated by cpanspec 1.78.
